#ifndef SETTINGS_H
#define SETTINGS_H

#include <pico/flash.h>

enum class Mode : uint8_t
{
    IAMBIC_A = 0,
    IAMBIC_B,
    // ULTIMATE
};

struct Settings
{
    Mode mode{Mode::IAMBIC_B};             // Byte 1
    uint8_t wpm{20};                       // Byte 2
    uint8_t dummy[FLASH_PAGE_SIZE - 2]{0}; // Fill up to next flash page size boundary
};

void store_settings(Settings &settings);
Settings read_settings();

#endif